diff -up nat10.orig/Makefile nat10/Makefile
--- nat10.orig/Makefile	Mon Feb 17 03:18:04 1997
+++ nat10/Makefile	Sun Jan 31 17:17:14 1999
@@ -357,6 +357,11 @@ GUESTACCOUNT = nobody
 # FLAGSM = -D_WIN32
 # LIBSM =
 
+# This is for Amiga Geek Gadgets
+# Contributed by Nickolay O. Zabrodotsky (F0lken)
+# Very alpha version but seems to be working
+# FLAGSM = -DAMIGA_GG -DNETGROUP
+# LIBSM = 
 
 ######################################################################
 # DON'T EDIT BELOW THIS LINE
diff -up nat10.orig/includes.h nat10/includes.h
--- nat10.orig/includes.h	Mon Feb 17 03:18:04 1997
+++ nat10/includes.h	Tue Jan 26 22:22:22 1999
@@ -842,6 +842,32 @@ typedef int mode_t;
 #endif
 
 
+#ifdef AMIGA_GG
+#define RECORD_LOCKING_NOT_IMPLEMENTED 0
+#include <string.h>
+#include <sys/dir.h>
+#include <dirent.h>
+#include <sys/filio.h>
+#include <fcntl.h>
+#include <sys/sockio.h>
+#include <netinet/tcp.h>
+#include <termios.h>
+#define SYSV
+#define USE_WAITPID
+#define SIGNAL_CAST (void (*)(int))
+#define USE_STATVFS
+#define USE_GETCWD
+
+/*Some constants from FCNTL.H */
+#define	F_GETLK		7		/* get record locking information */
+#define	F_SETLK		8		/* set record locking information */
+#define	F_SETLKW	9		/* F_SETLK; wait if blocked */
+#define	F_RDLCK		1		/* shared or read lock */
+#define	F_UNLCK		2		/* unlock */
+#define	F_WRLCK		3		/* exclusive or write lock */
+ 
+#endif
+
 /*******************************************************************
 end of the platform specific sections
 ********************************************************************/
